=== debian/control ===
Source: ros-indigo-webtest
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-bs4, python-mock, python-nose, python-pastedeploy, python-pyquery, python-six, python-waitress (>= 0.8.5), python-webob (>= 1.2), ros-indigo-catkin (>= 0.6.18), ros-indigo-catkin-pip (>= 0.2.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-webtest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-bs4, python-six, python-waitress (>= 0.8.5), python-webob (>= 1.2)
Description: Wraps any WSGI application and makes it easy to send test requests to that application, without starting up an HTTP server.
 http://webtest.readthedocs.io/en/latest/
